/*
 *		M U L T I - D E V I C E   Q U E U E I N G   S Y S T E M
 *
 *
 *			      Douglas P. Kingston III
 *				Michael John Muuss
 *
 *				  Q C O N F . H
 *
 *	-----------------------------------------------------------------------
 *
 *				Revision History
 *				================
 */

/*
 *	Defines for conditional code
 *
 *  Define one of the following that best describes your system.  If
 *  your system is not close to one of these, examine the places where
 *  system type controls the type of code and add your own code as
 *  appropriate.
 *	V6	Version 6 and other primative unixes
 *	V7	Version 7 (PDP11 and derivatives)
 *	BRLUNIX	BRL's High Performance PDP11 Unix
 *	BSD41	4.1 BSD (and BBN's 4.1 with TCP/IP)
 *	BSD41c	4.1c BSD
 *	BSD42	4.2 BSD
 *	SYS3	System III (and for now System V too)
 */
#define	BSD42	1	/* Define your system type here! */
#define	COREDUMP yes!	/* Define for daemon core dumps on fatal errors */

/*
 *	Defines for default queuing system constants
 */
#define	SCANWAIT 5	/* Time in seconds between scans of quedir (minimum) */
#define	PROCWAIT 2	/* Time in seconds to wait for a dead child */
#define OPENWAIT 20	/* Time between device opens */
#define	DELAYTIME 300	/* Time to delay a request on NETFAIL */

#define	SYSGRP	28	/* This group has special privileges to modify any *
			 * request, and perhaps other powers in the future */

/*
 *	Compiler Tailoring
 */
/* Comment out the next line if your compiler understands the type 'void' */
/**** typedef	int	void;****/
