#
/*
 *		M U L T I - D E V I C E   Q U E U E I N G   S Y S T E M
 *
 *			      M S G O P E N . F I L E . C
 *
 *				Douglas P. Kingston III
 *
 *				    Revision History
 *				    ================
 */

#include <stdio.h>
#include "queue.h"
#include "rawreq.h"

extern char *MDQSuser;
extern char *Errorfile;
char	*index();
char	*strdup();
FILE	*procopen();

FILE *
msgopen( rp )
register struct request *rp;
{
	char	cmdbuf[LINESIZ];
	char	linebuf[LINESIZ];
	char	*source = 0;
	char	*title = 0;
	register char	*cp;
	register FILE	*pf;

	if(( rp->r_options & O_MAIL) == 0 )
		return( NULL );

	if(( pf = fopen (rp->r_name, "r")) == NULL) {
		complain ("Error trying to notify, %s: %s",
			  rp->r_name, sys_errlist[errno]);
		return( NULL );
	}
	fseek (pf, (long) sizeof (struct rawrequest), 0);
	while (fgets (linebuf, LINESIZ, pf) != NULL ) {
		if (cp = index (linebuf, '\n'))
			*cp = 0;
		switch (linebuf[0]) {
		case 'T':
			if( title == 0 )
				title = strdup( &linebuf[1] );
			break;
		case 'U':
			if( source == 0 )
				source = strdup( &linebuf[1] );
			break;
		}
		if( source && title )
			break;
	}
	fclose (pf);
	if( source == 0 ) {
		complain( "Bad user line '%s' in %s", source, rp->r_name );
		if( title )
			free( title );
		return( NULL );
	}

	/*
	 *  Can't use the regular popen(3) because pclose does
	 *  wait(2)'s which are a no-no in a program that needs
	 *  to know about all its children!
	 */
	if ((pf = fopen (Errorfile, "a")) == NULL) {
		complain ("Error opening error file (%s, %s)",
			  Errorfile, sys_errlist[errno]);
	}
	else
	{
		time_t	timenow;

		time(&timenow);
		fprintf( pf, "-----  %.19s  -----\n", ctime(&timenow));
		fprintf( pf, "User: %s, Req: %s (file %s)\n", source,
				rp->r_name, title ? title : "-unknown-" );
	}
	free( source );
	if( title )
		free( title );
	return( pf );
}
